<div class="login-page">
    <ngx-spinner></ngx-spinner>
    <div class="row justify-content-md-center1">
        <div class="col-md-8 col-sm-6 col-lg-4 offset-sm-3 offset-md-2 offset-lg-4 ">
            <div class="logInBox">
                <div class="header">
                    <h1>Login</h1>
                </div>
                <form ng role="form" [formGroup]="loginForm" method="post">
                    <div class="form-content">
                        <div class="form-group">
                            <input type="text" formControlName="employeeId" class="form-control input-underline input-lg" placeholder="Employee Id">
                            <div *ngIf="loginForm.controls['employeeId'].dirty && loginForm.controls['employeeId'].invalid">
                                <p class="form_error" *ngIf="loginForm.controls['employeeId'].dirty && loginForm.controls['employeeId'].hasError('required')">Please
                                    enter Employee Id.</p>
                                <p class="form_error" *ngIf="loginForm.controls['employeeId'].dirty && loginForm.controls['employeeId'].hasError('pattern')">Please
                                    enter the correct  Employee Id.</p>
                                    <p class="form_error"
                                    *ngIf="loginForm.controls['employeeId'].dirty && loginForm.controls['employeeId'].hasError('maxlength')">
                                    Employee Id must contain only 6 characters</p>
                                <p class="form_error"
                                    *ngIf="loginForm.controls['employeeId'].dirty && loginForm.controls['employeeId'].hasError('minlength')">
                                    Employee Id must contain atleast 4 characters</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <input type="password" class="form-control input-underline input-lg" formControlName="password" placeholder="Password">
                            <div *ngIf="loginForm.controls['password'].dirty && loginForm.controls['password'].invalid">
                                <p class="form_error" *ngIf="loginForm.controls['password'].hasError('required')">Please
                                    enter password.</p>
                            </div>
                        </div>

                    </div>
                    <div class="footerBtn">
                        <button class="btn btn-primary" [disabled]="!loginForm.valid" (click)="login()"> Log in </button>
                        &nbsp;
                        <a  class="btn btn-default " [routerLink]="['/signup']">Register</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
    

</div>